<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Pages extends CI_Controller {
	public function __construct()
	{
		parent::__construct();	
		$this->load->helper('string');	
		$this->load->model('MCommon');
		$this->load->library('email');
		$this->load->library('domain');
		$this->load->model('user','',TRUE);	
	}
	
	public function home()
	{
		$data['title']='Domain Lists and Whois Domain Name Search';
		$data['pageheader']='Page Header';
		$data['description']='We provides download of our entire whois database in csv files. 100% free whois databases also available!';
		$data['keywords']='whois domain search, whois database';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='home';
		$this->load->view('template', $data); 
	}

	public function contact_us()
	{
		$data['title']='Contact us';
		$data['pageheader']='Page Header';
		$data['description']='Feel free to contact us at info@whoisdatabasedownload.com for any issues you have with our products.';
		$data['keywords']='contact whois database download';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='contact-us';
		$this->load->view('template', $data); 
	}

	public function country_specific_database()
	{
		$data['title']='Country Specific Whois Database';
		$data['pageheader']='Page Header';
		$data['description']='Buy country specific whois database, based on the domain name registrants country & downaload historical whois database of any country';
		$data['keywords']='country specific whois database, country specific domain database,';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='country-specific-database';
		$this->load->view('template', $data); 
	}

	public function newly_registered_domains()
	{
		$data['title']='Newly Registered Domains - List of all domains updated daily';
		$data['pageheader']='Page Header';
		$data['description']='Daily get a list of all the newly registered domains with whois data for just $70/month.';
		$data['keywords']='Daily New Registered Domains, Daily Registered Newly Domains Database, Daily Registered Domains';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['lastdays'] = json_encode($this->MCommon->Lastdays()->result_array());
		$data['NewlyRegisteredDomainFree'] = json_encode($this->MCommon->getNewlyRegisteredDomainFree()->result_array());
		$data['include']='newly-registered-domains';
		$this->load->view('template', $data); 
	}

	public function recently_expiring_domains()
	{
		$data['title']='Recently Expiring Domains - Free Download Expiring Domains‎';
		$data['pageheader']='Page Header';
		$data['description']='Daily get a list of all the recently expired domains with whois data for just $80/month.';
		$data['keywords']='';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='recently-expiring-domains';
		$this->load->view('template', $data); 
	}
	
	public function faq()
	{
		$data['title']='Frequently Asked Questions';
		$data['pageheader']='Page Header';
		$data['description']='These are some of the most common questions and answers about whoisdatabasedownload.';
		$data['keywords']='Frequently Asked Questions';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='faq';
		$this->load->view('template', $data); 
	}
	
	public function errors()
	{
		$data['title']='404 Errors';
		$data['pageheader']='Page Header';
		$data['description']='';
		$data['keywords']='';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='errors';
		$this->load->view('template', $data); 
	}
	
	public function cctld_domain_lists()
	{
		$data['title']='ccTLD Domain lists downloads - Whoisds.com';
		$data['pageheader']='Page Header';
		$data['description']='';
		$data['keywords']='';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='cctld-domain-lists';
		$this->load->view('template', $data); 
	}
	
	public function top_level_domain_lists()
	{
		$data['title']='TLD Domain Lists Downloads - Whoisds.com';
		$data['pageheader']='Page Header';
		$data['description']='';
		$data['keywords']='';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='top-level-domain-lists';
		$this->load->view('template', $data); 
	}
	
	public function login($redirectpage='')
	{
		$data['title']='Login';
		$data['pageheader']='Page Header';
		$data['description']='';
		$data['keywords']='';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='login';
		$data['redirectpage']=$redirectpage;
		$this->load->view('template', $data); 
	}
	
	public function register($redirectpage='')
	{
		$data['title']='Register';
		$data['pageheader']='Page Header';
		$data['description']='';
		$data['keywords']='';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='register';
		$data['redirectpage']=$redirectpage;
		$this->load->view('template', $data); 
	}
	
	public function pricing()
	{
		$data['title']='Pricing';
		$data['pageheader']='Page Header';
		$data['description']='';
		$data['keywords']='';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='pricing';
		$this->load->view('template', $data); 
	}
	
	public function privacy_policy()
	{
		$data['title']='Privacy Policy';
		$data['pageheader']='Page Header';
		$data['description']='';
		$data['keywords']='';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='privacy-policy';
		$this->load->view('template', $data); 
	}
	
	public function terms_and_conditions()
	{
		$data['title']='Terms & Cconditions';
		$data['pageheader']='Page Header';
		$data['description']='';
		$data['keywords']='';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='terms-and-conditions';
		$this->load->view('template', $data); 
	}
	
	public function whois_lookup()
	{
		$data['title']='Whois Lookup - Domain Name Search';
		$data['pageheader']='Page Header';
		$data['description']='Simply enter a domain name below to check its current whois data and ownership information.';
		$data['keywords']='whois lookup, whois domain search';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='whois-lookup';
		$this->load->view('template', $data); 
	}
	
	public function whois_database_download()
	{
		$data['title']='Whois Database Download of Newly and Expiring Domains';
		$data['pageheader']='Page Header';
		$data['description']='We provides whois data base of newly registered domains for just $70 pm. You will get the whois database of newly registered domain names as daily downloads.';
		$data['keywords']='whois database download, Free Whois Database, whois database download free, custom whois database, daily registered domain list';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['countryspecificdetail_wdd'] = json_encode($this->MCommon->getcountrySpecificDetail()->result_array());
		$data['freedatabase'] = json_encode($this->MCommon->getfreeDatabase()->result_array());
		$data['include']='whois-database-download';
		$this->load->view('template', $data); 
	}
	
	function logout()
	{
	   $this->session->unset_userdata('logged_in');
	   session_destroy();
	   redirect('home', 'refresh');
	}
	
	public function your_download()
	{
		$data['title']='Newly Registered Domains - List of all domains updated daily';
		$data['pageheader']='Page Header';
		$data['description']='Daily get a list of all the newly registered domains with whois data for just $70/month.';
		$data['keywords']='Daily New Registered Domains, Daily Registered Newly Domains Database, Daily Registered Domains';
		$data['site_name']='Whoisdatabasedownload.com';
		$data['logo']='http://whoisdatabasedownload.com/assets/img/logo.png';
		$data['author']='Whoisdatabasedownload.com';
		$data['include']='your-download';
		$this->load->view('template', $data); 
	}

	function SendContactUsMail()
	{
		$arrdata = $this->input->post('data');
		// extract($arrdata);
		// echo $arrdata['name'];
		// exit();
		$msg = '<table width="100%" cellspacing="0" cellpadding="0" style="max-width:777px;border-left:1px solid rgb(230,230,230);border-right:1px solid rgb(230,230,230);border-spacing:0px">
			    <tbody>
			        <tr>
			            <td align="left" valign="top" bgcolor="#F9F9F9" style="color:rgb(44,44,44);display:block;line-height:20px;font-weight:300;clear:both;border-bottom:1px solid rgb(230,230,230);background-color:rgb(249,249,249);margin:0px;padding:0px">
			                <p style="font-weight:bold;font-size:19px;margin:0px;padding:0px;text-align: left;">Hi,
			                </p>
			                
			                <p style="color:rgb(86,86,86);font-size:18px;margin:0px;padding:0px;text-align: left;">Mail from whoisdatabasedownload.com/contact-us</p>
			                <br>
			                 <p style="color:rgb(86,86,86);font-size:18px;padding:0px;text-align: left;">Name:'. $arrdata['name'] .'</p>
			                 <p style="color:rgb(86,86,86);font-size:18px;padding:0px;text-align: left;">Email Id: '.$arrdata['email'].'</p>
			                 <p style="color:rgb(86,86,86);font-size:18px;padding:0px;text-align: left;">Contact Number: '.$arrdata['number'].'</p>
			                 <p style="color:rgb(86,86,86);font-size:18px;padding:0px;text-align: left;">Subject number: '.$arrdata['subject'].'</p>
			                 <p style="color:rgb(86,86,86);font-size:18px;padding:0px;text-align: left;">Message: '.$arrdata['msgg'].'</p>
			                <br>
			            </td>
			        </tr>
			    </tbody>
			</table>';
		
		 // echo $msg;
		 // exit();

		$this->email->set_newline("\r\n");
		$this->email->set_mailtype("html");
		$this->email->from('sales@whoisdatabasedownload.com', 'Whois Database Download');
		$this->email->to('jjpanigrahy@live.com');
		$this->email->cc('sales@whoisdatabasedownload.com');
		$this->email->bcc('sales@whoisds.com');
		$this->email->subject('From Whois Database Download Contact Us');
		$this->email->message($msg);
		if($this->email->send()) 
			echo "Email sent successfully."; 
		else 
			echo "Error in sending Email.";
	}

	function FSendMail()
	{
		$name =urldecode($this->input->post('name'));
		$email =urldecode($this->input->post('email'));		
		$number =urldecode($this->input->post('number'));
		$msgg =urldecode($this->input->post('msgg'));
		
		$message = '
		<html>
		<head>
			<title>Packet</title>
		</head>
		<body>
		<p>From whoisdatabasedownload.com Contact Info</p>
		<table border="1">
			<tr>
				<td>Name </td>
				<td> : </td>
				<td>'.$name.'</td>
			</tr>
			<tr>
				<td>Email </td>
				<td> : </td>
				<td>'.$email.'</td>
			</tr>
			<tr>
				<td>Email </td>
				<td> : </td>
				<td>'.$number.'</td>
			</tr>
			<tr>
				<td>MSG </td>
				<td> : </td>
				<td>'.$msgg.'</td>
			</tr>
		</table>
		</body>
		</html>';
				
		$this->email->set_newline("\r\n");
		$this->email->set_mailtype("html");
		$this->email->from('sales@whoisdatabasedownload.com', 'Whois Database Download');
		$this->email->to('jjpanigrahy@live.com');
		$this->email->cc('sales@whoisdatabasedownload.com');
		$this->email->bcc('sales@whoisds.com');
		$this->email->subject('From Whois Database Download Quick Contact Info');
		$this->email->message($message);
		
		//Send mail 
		if($this->email->send()) 
			echo "Email sent successfully."; 
		else 
			echo "Error in sending Email.";
	}

}
