<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class VerifyLogin extends CI_Controller {
 
 function __construct()
 {
   parent::__construct();
   $this->load->model('user','',TRUE);
 }
 
 function index($redirectpage='')
 {
	//echo $redirectpage;
   //This method will have the credentials validation
   $this->load->helper('security');
   $this->load->library('form_validation');
 
   $this->form_validation->set_rules('username', 'Username', 'trim|required|xss_clean');
   $this->form_validation->set_rules('password', 'Password', 'trim|required|xss_clean|callback_check_database');
 
   if($this->form_validation->run() == FALSE)
   {
     //Field validation failed.  User redirected to login page
    $this->load->helper(array('form'));
	$data['title']='Login | Whoisds.com';
	$data['pageheader']='Page Header';
	$data['active']='active';
	$data['description']='';
	$data['keywords']='';
	$data['site_name']='whoisds.com';
	$data['logo']='www.whoisds.com/assets/img/header/logo.png';
	$data['phone_number']='';
	$data['author']='whoisds.com';
	$data['include']='about';  	  				  	  
	$data['include']='login'; 	 
	//$lang_code = $this->common->GetCountry($this->input->ip_address());
	//$this->ci = & get_instance();
	//$this->ci->config->set_item('base_cnt', $lang_code);
	$data['redirectpage']=$redirectpage; 
    $this->load->view('template', $data);
   }
   else
   {
     //Go to private area
		if($redirectpage == '')
			if($this->session->userdata('logged_in')['ispaid'] == 1)
				redirect('your-download?type=1', 'refresh');
			else
				redirect('your-download?type=0', 'refresh');
		else
			redirect($redirectpage, 'refresh');
   }
 
 }
 
 function check_database($password)
 {
   //Field validation succeeded.  Validate against database
   $username = $this->input->post('username');
 
   //query the database
   $result = $this->user->login($username, $password);
 
   if($result)
   {
     $sess_array = array();
     foreach($result as $row)
     {
		//$profileid = $this->user->getProfileID($row->UID);
		$sess_array = array(
			'id' => $row->UID,
			'username' => $row->username,
			'name' => $row->FName,
			'ispaid' => $row->IsPaid,
			'isadmin' => $row->IsAdmin
       );
       $this->session->set_userdata('logged_in', $sess_array);
     }
     return TRUE;
   }
   else
   {
     $this->form_validation->set_message('check_database', 'Invalid username or password');
     return false;
   }
 }
}
?>